﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ICTPRG403_ICTPRG404_ICTPRG410.Data;

namespace ICTPRG403_ICTPRG404_ICTPRG410.View
{
    /// <summary>
    /// Interaction logic for Index.xaml
    /// </summary>
    public partial class Index : Page
    {
        private Repository _repo;
        public Index(Repository repo)
        {
            _repo = repo;
            InitializeComponent();
            dgPeople.ItemsSource = _repo.GetPeople();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            switch ((sender as Button).Content)
            {
                case "Edit":
                    NavigationService.Navigate(new Update(_repo,(Person)((Button)e.Source).DataContext));
                    break;
                case "Delete":
                    NavigationService.Navigate(new Delete(_repo,(Person)((Button)e.Source).DataContext));
                    break;
            }
        }    
    }
}
