﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using ICTPRG403_ICTPRG404_ICTPRG410.Data;

namespace ICTPRG403_ICTPRG404_ICTPRG410.View
{
    /// <summary>
    /// Interaction logic for Insert.xaml
    /// </summary>
    public partial class Insert : Page
    {
        private Repository _repo;
        public Insert(Repository repo)
        {
            _repo = repo;
            InitializeComponent();
            DataContext = new Person(); 
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            try
            {
                _repo.InsertPerson(DataContext as Person);
                NavigationService.Navigate(new Index(_repo));
            }
            catch(Exception ex)
            {
                MessageBox.Show(ex.Message);
            }
        }
    }
}
